## helm get hooks

download all hooks for a named release

### Synopsis



This command downloads hooks for a given release.

Hooks are formatted in YAML and separated by the YAML '---\n' separator.


```
helm get hooks [flags] RELEASE_NAME
```

### Options

```
      --revision int32       get the named release with revision
      --tls                  enable TLS for request
      --tls-ca-cert string   path to TLS CA certificate file (default "$HELM_HOME/ca.pem")
      --tls-cert string      path to TLS certificate file (default "$HELM_HOME/cert.pem")
      --tls-key string       path to TLS key file (default "$HELM_HOME/key.pem")
      --tls-verify           enable TLS for request and verify remote
```

### Options inherited from parent commands

```
      --debug                           enable verbose output
      --home string                     location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string                     address of Tiller. Overrides $HELM_HOST
      --kube-context string             name of the kubeconfig context to use
      --tiller-connection-timeout int   the duration (in seconds) Helm will wait to establish a connection to tiller (default 300)
      --tiller-namespace string         namespace of Tiller (default "kube-system")
```

### SEE ALSO
* [helm get](helm_get.md)	 - download a named release

###### Auto generated by spf13/cobra on 8-Mar-2018
